<?php

/*
=====================================================================

  프로젝트 이름 : 피리 카페 심플

  만든사람 : 피리 PIREE ( tosports@naver.com )

  홈페이지 : https://piree.kr/nett_dev

  작성날짜 : 2024년 04월 18일 목요일 오전 09시 30분 / 맑음, 15.9, 일교차 주의, 24, 8, 0%, 0%, 2.4ms / 매우 나쁨, 133, 51, 0.014

  저 작 권 : Copyright ⓒ 2024 피리 piree.kr All right reserved
              그누보드 외에 추가된 소스는~
              만든사람의 허락없이 무단으로 사용할수 없습니다.
              사용하고자 할 경우 만든사람의 허락을 받아야 합니다.
              http://.piree.kr 에 문의해 주세요.

=====================================================================
 피리 카페 심플 > 프로그램 > 피리 카페 관리 > 내 카페 > 게시판 > 게시글 다중 처리하기
=====================================================================

*/

  include_once('./_common.php');

  include_once( piree__path($piree_prog_a[770099]['num'], 'piree.cafe.board.lib.inc.php') );

  include_once( piree__path($piree_prog_a[770099]['num'], '_CAFE.INFO.CHECK.inc.php') );

  $count = (isset($_POST['chk_wr_id']) && is_array($_POST['chk_wr_id'])) ? count($_POST['chk_wr_id']) : 0;

  $post_btn_submit = isset($_POST['btn_submit']) ? clean_xss_tags($_POST['btn_submit'], 1, 1) : '';

  IF ( !$count )
  {
    alert(addcslashes($post_btn_submit, '"\\/').' 하실 항목을 하나 이상 선택하세요.');
  }

  SWITCH ( $post_btn_submit )
  {

    CASE '선택삭제' : 

      include './piree.cafe.board.delete_all.php';

    BREAK;

    CASE '선택복사' : 

      $sw = 'copy';

      include './piree.cafe.board.move.php';

    BREAK;

    CASE '선택이동' : 

      $sw = 'move';

      include './piree.cafe.board.move.php';

    BREAK;

    DEFAULT :

      alert('올바른 방법으로 이용해 주세요.');

    BREAK;

  }

?>